TORASU java implementation todos
================================

- Element (Done - needs cleaing?)
	- Rewriteable (Done)
	- IDable (Done)
- Renderable (Done - needs cleaning?)
	- ResultSettings (Done - needs cleaning?)
		- ResultSegmentSettings (Done - needs cleaning?)
		- ResultFormatSettings (Done - needs cleaning?)
	- RenderWrangler (Done - needs cleaning)
	- RenderResult (Done - needs cleaning)
		- ResultSegment (Done - needs cleaning)
	- RenderableData (Done - needs cleaning?)
- RenderContext (Partially Done - needs cleaning?)
	- RenderContextObject (Partially Done - needs cleaning?)
	- RenderContextTransformationInformation (Class Frame)
		- RenderContextTransformationInformationImporter (Class Frame)
	- RenderModifier (Class Frame)
		- RenderModifierImporter (Class Frame)
	- RenderContextMask (Class Frame)
- ExecutionInterface (Class Frame)
- SystemResourceInterface (Class Frame)
- Target (Class Frame)
	- TargetResult (Class Frame)
- ExecutionRequirements (Class Frame)
- PipelineSettings (Class Frame)
- AlgorithmMap
- PipelineModules
- Cloneable - Stay with the java-cloneable?
- DataPackageable (Done - some cleaning?)
	- DataPackageableImporter (Done)
	- DataPackageableMask (Done)